StreamIterator (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.service

## Class StreamIterator<T>

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.service.StreamIterator<T>

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterator<T>, CloseableIterator<T>

      public class StreamIterator<T>
      extends Object
      implements CloseableIterator<T>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.data.streams.Stream<T>` | `stream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamIterator(org.gcube.data.streams.Stream<T> stream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stream

          protected org.gcube.data.streams.Stream<T> stream

  - ### Constructor Detail

    - #### StreamIterator

          public StreamIterator(org.gcube.data.streams.Stream<T> stream)

      Parameters:
        `stream` -

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2013. All Rights Reserved.